abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 00:33 | IT novinky

Josef Průša představil na Maker Faire v New Yorku svou novou 3D tiskárnu Original Prusa i3 MK3. Z novinek (YouTube) lze zdůraznit senzor filamentu, výměnnou magnetickou podložku, rychlejší tisk nebo rozpoznání uskočené vrstvy, výpadku napájení a výpadku filamentu (YouTube).

Ladislav Hagara | Komentářů: 1
včera 17:22 | Komunita

Martin Flöser představil na svém blogu projekt XFree KWin. Cílem projektu je rozběhnout správce oken KWin na Waylandu bez XWaylandu [reddit].

Ladislav Hagara | Komentářů: 2
včera 16:55 | Komunita

Do pátku 29. září probíhá v Praze v hotelu Hilton konference SUSECON 2017 pořádaná společností SUSE. Dění na konferenci lze sledovat na Twitteru. Nils Brauckmann, CEO společnosti SUSE, vítá účastníky konference na YouTube.

Ladislav Hagara | Komentářů: 0
včera 07:00 | Komunita

Příspěvek na blogu společnosti Yubico informuje o začlenění podpory bezpečnostních klíčů FIDO U2F do Firefoxu Nightly. Dosud bylo možné dvoufázové ověření pomocí FIDO U2F ve Firefoxu zajistit pouze pomocí doplňku.

Ladislav Hagara | Komentářů: 3
včera 06:00 | Humor

Adobe PSIRT (Adobe Product Security Incident Response Team) neúmyslně zveřejnil (archive) na svém blogu svůj soukromý OpenPGP klíč. Klíč byl revokován a vygenerován nový. Nelze nezmínit xkcd 1553 - Veřejný klíč.

Ladislav Hagara | Komentářů: 1
24.9. 20:00 | Nová verze

Byla vydána (cgit) verze 0.99 svobodného nelineárního video editoru Pitivi. Jedná se o release candidate verze 1.0. Přehled úkolů, které je nutno ještě dodělat, na Phabricatoru. Pitivi je k dispozici také ve formátu Flatpak.

Ladislav Hagara | Komentářů: 0
24.9. 17:11 | Komunita

Microsoft s Canonicalem představili linuxové jádro Ubuntu optimalizováno pro cloudové služby Microsoft Azure (linux-azure). Jako výchozí je toto menší a výkonnější jádro použito již v Ubuntu Cloud Images for Ubuntu 16.04 LTS. Canonical zatím nenabízí patchování tohoto jádra za běhu systému (Canonical Livepatch Service).

Ladislav Hagara | Komentářů: 1
24.9. 14:55 | Komunita

Facebook oznámil, že přelicencuje open source projekty React, Jest, Flow a Immutable.js ze své vlastní kontroverzní licence BSD+Patents na licenci MIT. Stane se tak tento týden s vydáním Reactu 16. Jedním z důvodů přelicencování bylo oznámení nadace Apache, že software pod Facebook BSD+Patents licencí nesmí být součástí produktů pod touto nadací [Hacker News].

Ladislav Hagara | Komentářů: 0
23.9. 21:44 | Nová verze

Po půl roce od vydání verze 9.0 byla vydána verze 10.0 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností v příspěvku na blogu a na YouTube.

Ladislav Hagara | Komentářů: 0
22.9. 18:11 | Nová verze

Společnost Oracle oficiálně oznámila vydání Java SE 9 (JDK 9), Java Platform Enterprise Edition 8 (Java EE 8) a Java EE 8 Software Development Kit (SDK). Java SE 9 přináší více než 150 nových vlastností.

Ladislav Hagara | Komentářů: 0
Těžíte nějakou kryptoměnu?
 (5%)
 (3%)
 (17%)
 (75%)
Celkem 574 hlasů
 Komentářů: 23, poslední 24.9. 18:12
    Rozcestník

    Dotaz: libm.so.6, libcrypt.so.1, librt.so.1

    19.4.2007 13:01 cvp | skóre: 17
    libm.so.6, libcrypt.so.1, librt.so.1
    Přečteno: 526×
    awk: error while loading shared libraries: libm.so.6: cannot open shared object file: No such file or directory
    grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    awk: error while loading shared libraries: libm.so.6: cannot open shared object file: No such file or directory
    cut: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    /etc/init.d/tellicast-client: line 231: [: !=: unary operator expected
    Starting tellicast-client: su: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory
    su: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory
    touch: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory
    OK

    Nevite co je to za chybu? Zkousim to na UBUNTU. Dle meho me chybi nejaky soubor, ale nevim kde ho sehnat. Instaloval jsem si balicek z RPM balicku, ktery jsem si pres ALIEN dal do DEB a nainstaloval...ale kdyz jsem si prohlizel pres ALIEN RPM balicek, tak zadna LIBM.SO.6 tam nebyla....tak ze nevim no.

    DEV balicek, co v nem je. (prevedeny samozrejme z RPM balicku
    usr/
    usr/share/
    usr/share/doc/
    usr/share/doc/tellicast-client/
    usr/share/doc/tellicast-client/copyright
    usr/share/doc/tellicast-client/changelog.Debian.gz
    usr/local/
    usr/local/bin/
    usr/local/bin/tc-recv
    etc/
    etc/init.d/
    etc/init.d/tellicast-client
    etc/license.ini
    etc/recv-channels.ini
    etc/recv.ini
    etc/tellicast-client.cfg

    Jedna se o software, ktery za pomoci DVB Skystar-USB (drivery mam) primo z T-system stahuje data z druzice Hotbird.

    Odpovědi

    regnarg avatar 19.4.2007 16:44 regnarg | skóre: 20 | blog: rm -rf /this/blog
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Ta chyba jednoznačně říká, že základním programům systtému (awk, grep, su, ...) chybí nějaké knihovny, což mi připadá nesmyslné, protože předpokládám, že samostatně vám tyto programy fungují. Možná se jedná o nějaké špatné přenastavení cest k knihovnám nebo něco takového, ale to asi nelze určit bez znalosti obsahu toho skriptu. Takže by se hodil odkaz na stažení zmíněného programu...
    S láskou se nerodíme, ale s láskou se stáváme lidmi. --Simone De Beauvoirová
    19.4.2007 18:10 pakanek | skóre: 28 | Vyškov
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Zkuste se podivat co vam vypise 'ld $(which grep)' a mrknete se jestli date veci na systemu mate. Mozna by stacilo pouzit ldconfig. Jinak si dohledejte v kterem balicku se ty knihovny nachazeji a (re)instalujte.
    Všechno dobré je pro něco zlé.
    nooneanymore avatar 19.4.2007 19:35 nooneanymore | skóre: 14 | blog: Smazano
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Taky toto doporučuju. Mně se to někdy stane, když sice knihovny mám, ale špatnou verzi, takže dotyčný program hlásí, že je nemůže najít. V tom případě zkouším udělat softlinky na ty knihovny, které mám, a nazvu je jmény, jež program hledá, a to samozřejmě v místech, "kde" je ten program hledá. Nevím, zda jsem to vysvětlil dobře...
    regnarg avatar 21.4.2007 07:34 regnarg | skóre: 20 | blog: rm -rf /this/blog
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    To je taky možné, ale skoro bych si myslel, že s nefunkčím awk, grep, cut a su by ten systém ani snad nefungoval... vždyť to využívá spousta aplikací... možná také initskripty...
    S láskou se nerodíme, ale s láskou se stáváme lidmi. --Simone De Beauvoirová
    21.4.2007 10:02 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Kdyz jsem software spustil v:
    -ubuntu 6.10
    -Susu 10.2
    -Centos5
    Tak vsude to vypsalo stejnou chybu. Je mozne, ze soubor programu, ktery spustim asi bude stary, ikdyz moc se me tomu nechce verit. Soubor na vic lze editovat a tim lze se podivat do scriptu co v nem je.
    regnarg avatar 22.4.2007 08:59 regnarg | skóre: 20 | blog: rm -rf /this/blog
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Právě to by mě zajímalo, co v tom skriptu je. Tak existuje nějaký odkaz na stažení nebo co ?
    S láskou se nerodíme, ale s láskou se stáváme lidmi. --Simone De Beauvoirová
    22.4.2007 12:04 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Je to placeny software a nesmi se zobrazovat na internet. Jedine, ze bych Ti ho poslal na email.
    22.4.2007 12:07 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1

    V tom případě byste se tím spíš měl obrátit na toho, kdo vám ho prodal.

    P.S.: mail nepoužívá Internet?

    21.4.2007 10:31 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Jen tak me napadlo. Neni nejaky LOG zaznam chyb, chybovych hlasek, kde by byla chyba vypsana podrobne? Tedy script to vyvolava, co presne potrebuje a mu chybi. Mozna by to usnadnilo praci.
    21.4.2007 12:00 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    NOTE: This installation package requires the "chkconfig" utility 
       in order to automatically configure the TELLICAST service to be
       started or stopped in the appropriate run levels.
       If the "chkconfig" utility is not installed, the symbolic
       links to the /etc/rc.d/init.d/tellicast-client script will have
       to be manually created for the appropriate run levels.

    Asi to bude chtit jeste ten chkconfig...mozna tim to bude...ikdyz nemam poneti, co je to ten chkconfig

    21.4.2007 13:03 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Na internetu jsem konecne prece jen neco nasel, ikdyz nevim presne jak to vyuzit nebo pouzit. Pokusim se neco vymyslet dle tohoto navodu :)
    Try:  
    look at  /etc/ld.so.conf  (vi /etc/ld.so.conf)  
    check for entries   /usr/local/lib and /usr/lib  
    -if they don't appear add them at the end, save file and then type  
        "ldconfig"  
    This allow the system to look for the libraries in this folders.  
    -If they appear:  
        please do "ldconfig" anyway to check.  
    
    Reboot the system to finish.   
    21.4.2007 13:09 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Tak z toho navodu vubec nejsem chytry...poradite co mam udelat?
    21.4.2007 13:41 DNA
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    podle toho návodu se máš podívat do /etc/ld.so.conf, jestli tam jsou řádky /usr/local/lib a /usr/lib (popř. doplnit) a pak spustit ldconfig, ale myslím že to nepomůže...
    21.4.2007 13:57 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    To je k ničemu. Za prvé: kdyby ty knihovny, které uvádíte, nebyly dostupné, nebude vám v systému fungovat naprosto nic (kromě případných staticky slinkovaných programů). Takže problém je čistě v tom, co spouštíte, že to nějakým způsobem zblbne dynamický loader. Za druhé: adresář /usr/lib být v ld.so.conf nemusí, prohledává se automaticky; je to napsáno i v dokumentaci.
    21.4.2007 17:53 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Presto to zkusim, at mam jistotu.
    sudo chmod 777 /etc/ld.so.conf
    ...nejak nejede. Vypise me to chybu
    uzivatel is not in the sudoers file. This incident will be reported
    Pouzivam prave CENTOS5
    21.4.2007 17:58 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Proboha, jak vás tohle napadlo? Nebo vám to snad někdo poradil? Proč nastavujete právo spouštění pro konfigurační soubor, na kterém vůbec nic spustitelného není? A co je to za šílený nápad, dát všem právo zápisu na tak důležitý soubor jako ld.so.conf? To už rovnou můžete dát všem právo zápisu do /etc/shadow, vyjde to asi tak nastejno…
    21.4.2007 18:04 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Tak me poradte, jak to udelat s tou chybou...kdy nejde spustit program a vypise to, ze tam chybi knihovny.
    21.4.2007 18:46 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Obraťte se na toho, kdo vám ten software poskytl. Je otázka, kde se ten balíček vzal a zda je vůbec určen pro váš systém.
    21.4.2007 20:53 iSteve
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Hadal bych ze linker mas na spravnem (ocekavanem) miste, nicmene knihovny uz nikoliv, tzn. lib32 vs lib64...
    23.4.2007 17:02 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Co s tim mam tedy udelat? Kdyz mam chybu v PHP scriptu, tak to ukaze chybu a hledam...ale v tomto najit chybu nedokazi a je docela i zajimave, ze o me chybe nikdo na internetu nepise. Tak ze fakt nevim :(
    Luboš Doležel (Doli) avatar 23.4.2007 17:08 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Tohle jsem naposledy viděl u programu, který si nějakým hackem naprosto zbytečmně pohrával s nastavením s dynamického loaderu.

    Bylo by třeba se do toho skriptu podívat, jestli tam takové prasečiny nedělá.
    23.4.2007 18:12 cvp | skóre: 17
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Ted jsem si vsiml, ze pri intalaci baliku RPM v DEBIANU to vypsalo toto:
    /var/tmp/rpm-tmp.44224: 1: chkconfig: not found
    Kde nebo-li jak sezenu ten chkconfig, tedy jestli jste o nem uz slyseli.
    2.10.2009 11:53 Marián André | skóre: 10 | blog: Qblog
    Rozbalit Rozbalit vše Re: libm.so.6, libcrypt.so.1, librt.so.1
    Narazil som na tento starý problém, keď som hľadal riešenie svojho problému. Inštaloval som Tellicast klienta na CentOS 5.3 x86_64. Problém spočíva v tom, že štartovací skript exportuje nastavenie linkera:
    LD_ASSUME_KERNEL=2.4.1
    export LD_ASSUME_KERNEL
    
    Stačí zakomentovať a tellicast client bude fungovať bez problémov.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.